// Quasar SCSS (& Sass) Variables
// --------------------------------------------------
// To customize the look and feel of this app, you can override
// the Sass/SCSS variables found in Quasar's source Sass/SCSS files.

// Check documentation for full list of Quasar variables

// Your own variables (that are declared here) and Quasar's own
// ones will be available out of the box in your .vue/.scss/.sass files

// It's highly recommended to change the default colors
// to match your app's branding.
// Tip: Use the "Theme Builder" on Quasar's documentation website.

$primary: #30e483;
$secondary: #325cb4;
$accent: #a23cdc;

$dark: #1d1d1d;
$dark-page: #121212;

$positive: #21ba45;
$negative: #c10015;
$info: #31ccec;
$warning: #f2c037;

// Set the breakpoints for small and extra small screens.
// NOTE: The Small" breakpoint is used as the width of our page.
//       Extra Small breakpoint is used for some additional screen-space savings.
$breakpoint-xs: 369px;
$breakpoint-sm: 689px;
$breakpoint-md: 1200px;

// Set the default animation speed.
$animate-duration: 0.5s;

$button-rounded-border-radius: 20px;

//-----------------------------------------------------------------------------
// Themes (Dark Mode/Light Mode)
//-----------------------------------------------------------------------------

:root {
  --header-bg: #1e1e1e;
  --header-text: rgba(255, 255, 255, 0.75);

  --background-primary: #24282a;
  --background-secondary: #1d2023;

  --text: #ccc;
  --text-muted: rgba(170, 170, 170, 0.8);
  --text-emphasis: #fff;

  --link: #fff;

  --outline: rgba(255, 255, 255, 0.28);

  --border-radius: 20px;

  // Quasar Overrides.
  --q-positive: #21ba45;
  --q-warning: #f2c037;
}

//-----------------------------------------------------------------------------
// Custom Colors
//-----------------------------------------------------------------------------

// NOTE: These can be used with the "color" property of Quasar Components.
//       A custom color must have both a "bg-${name}" and "text-${name}" class.

// Header Color.
// NOTE: These are the colors for the top toolbar.
.bg-header {
  background: var(--header-bg) !important;
}

.text-header {
  color: var(--header-text) !important;
}

.bg-background-primary {
  background: var(--background-primary) !important;
}

.text-background-primary {
  color: var(--text);
}

.bg-background-secondary {
  background: var(--background-secondary) !important;
}

.text-background-secondary {
  color: var(--text);
}
